Extending Qt Creator Manual | Export

Extending Qt Creator Manual 4.5.2

# Export Class

(QmlJS::Export)

- List of all members, including inherited members

## Public Functions

| Export()
| Export(ImportKey exportName, const QString &pathRequired, bool intrinsic = false, const QString &typeName = libraryTypeName())
bool | visibleInVContext(const ViewerContext &vContext) const

## Static Public Members

QString | libraryTypeName()

## Member Function Documentation

### Export::Export()

Default constructs an instance of Export.

### Export::Export(ImportKey exportName, const QString &pathRequired, bool intrinsic = false, const QString &typeName = libraryTypeName())

Default constructs an instance of Export.

### `[static]` QString Export::libraryTypeName()

### bool Export::visibleInVContext(const ViewerContext &vContext) const